RDKit: RDKit::QueryOps Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Functions
RDKit::QueryOps Namespace Reference

## Functions
RDKIT_GRAPHMOL_EXPORT void | completeMolQueries (RWMol *mol, unsigned int magicVal=0xDEADBEEF)
RDKIT_GRAPHMOL_EXPORT Atom * | replaceAtomWithQueryAtom (RWMol *mol, Atom *atom)
RDKIT_GRAPHMOL_EXPORT void | finalizeQueryFromDescription (Queries::Query< int, Atom const *, true > *query, Atom const *owner)
RDKIT_GRAPHMOL_EXPORT void | finalizeQueryFromDescription (Queries::Query< int, Bond const *, true > *query, Bond const *owner)
RDKIT_GRAPHMOL_EXPORT bool | hasBondTypeQuery (const Queries::Query< int, Bond const *, true > &qry)
bool | hasBondTypeQuery (const Bond &bond)
RDKIT_GRAPHMOL_EXPORT bool | hasComplexBondTypeQuery (const Queries::Query< int, Bond const *, true > &qry)
bool | hasComplexBondTypeQuery (const Bond &bond)
RDKIT_GRAPHMOL_EXPORT bool | isMetal (const Atom &atom)

## Function Documentation

## ◆ completeMolQueries()

RDKIT_GRAPHMOL_EXPORT void RDKit::QueryOps::completeMolQueries | ( | RWMol * | mol,
|  | unsigned int | magicVal = 0xDEADBEEF )

References RDKIT_GRAPHMOL_EXPORT.

## ◆ finalizeQueryFromDescription() [1/2]

RDKIT_GRAPHMOL_EXPORT void RDKit::QueryOps::finalizeQueryFromDescription | ( | Queries::Query< int, Atom const *, true > * | query,
|  | Atom const * | owner )

References RDKIT_GRAPHMOL_EXPORT.

## ◆ finalizeQueryFromDescription() [2/2]

RDKIT_GRAPHMOL_EXPORT void RDKit::QueryOps::finalizeQueryFromDescription | ( | Queries::Query< int, Bond const *, true > * | query,
|  | Bond const * | owner )

References RDKIT_GRAPHMOL_EXPORT.

## ◆ hasBondTypeQuery() [1/2]

bool RDKit::QueryOps::hasBondTypeQuery | ( | const Bond & | bond | ) |
| inline

Definition at line 1146 of file QueryOps.h.

References RDKit::Bond::getQuery(), hasBondTypeQuery(), and RDKit::Bond::hasQuery().

## ◆ hasBondTypeQuery() [2/2]

RDKIT_GRAPHMOL_EXPORT bool RDKit::QueryOps::hasBondTypeQuery | ( | const Queries::Query< int, Bond const *, true > & | qry | ) |

References RDKIT_GRAPHMOL_EXPORT.

Referenced by hasBondTypeQuery().

## ◆ hasComplexBondTypeQuery() [1/2]

bool RDKit::QueryOps::hasComplexBondTypeQuery | ( | const Bond & | bond | ) |
| inline

Definition at line 1154 of file QueryOps.h.

References RDKit::Bond::getQuery(), hasComplexBondTypeQuery(), and RDKit::Bond::hasQuery().

## ◆ hasComplexBondTypeQuery() [2/2]

RDKIT_GRAPHMOL_EXPORT bool RDKit::QueryOps::hasComplexBondTypeQuery | ( | const Queries::Query< int, Bond const *, true > & | qry | ) |

References RDKIT_GRAPHMOL_EXPORT.

Referenced by hasComplexBondTypeQuery().

## ◆ isMetal()

RDKIT_GRAPHMOL_EXPORT bool RDKit::QueryOps::isMetal | ( | const Atom & | atom | ) |

References RDKIT_GRAPHMOL_EXPORT.

## ◆ replaceAtomWithQueryAtom()

RDKIT_GRAPHMOL_EXPORT Atom * RDKit::QueryOps::replaceAtomWithQueryAtom | ( | RWMol * | mol,
|  | Atom * | atom )

References RDKIT_GRAPHMOL_EXPORT.